Description

Make other destinations visible in the Redmine notification email

Proposal

In Redmine4.0, other destinations are no longer displayed in the notification email.

This is a side effect of the following changes in Redmine 4.0.

https://redmine.org/issues/26791

Depending on the contents of the ticket, it may be necessary to confirm who is notified.

For example, the response may change depending on whether the trouble ticket content is delivered to the CEO.

In Redmine3.4, it was found from the To / Cc column of the notification email that the email was sent to someone else.

In Redmine 4.0 or later, you can not understand without checking the ticket.

Also, the amount sent to the person who has been set to "notify all" in the personal settings cannot be confirmed on the ticket.

Solution

There is no problem in sending individual emails.

The only inconvenience is that you can no longer check the simultaneous notification destination directly from the email.

It seems that the conventional To / Cc (watch) can be added to the beginning of the email text by setting the individual ID unit.

Supplement

In Redmine3.X, there was a side effect that other destinations could be known by batch mailing. (Specification changed in 4.0)

It seems that it was not recognized that there were cases where this was used as a substantial function.

(In some cases, it may be necessary to respond depending on the email notification destination)

You can tell by checking the ticket from the link on the notification email, but it will be a burden if there are many cases.

/* The following is a Japanese supplement */

Redmineの通知メールで、他の宛先を表示可能にする

■提案内容

Redmine4.0にて、通知メールで他の宛先が表示されなくなった。

これはRedmine4.0の下記変更による副作用である。

https://redmine.org/issues/26791

チケットの内容によっては、他の誰に通知されているか確認必要な場合もある。

例えば、トラブルのチケット内容がCEOに配信されているかどうかで、対応が変わる場合もある。

Redmine3.4の時は、通知メールのTo/Cc欄から、他の誰に送信されたか判ったが、

Redmine4.0以降ではチケットを確認しないと判らない。
また、個人設定で「すべて通知」にしている人への送信分は、チケット上から確認できない。

■解決策

メールの個別送信自体には問題ない。

同時通知先をメールから直接確認できなくなったのが不便なだけ。

個人ID単位の設定により、従来のTo/Cc(watch) をメールテキスト先頭に付けられれば良いと思われる。

■補足

Redmine3.Xでは、メール一括送信により他の送信先が判るという副作用があった。（4.0で仕様変更）

これを実質的な機能として利用している場合があったことが、認識されていなかったと思われる。

（メール通知先により対応必要なケースもある）

通知メール上のリンクからチケットを確認すれば判るが、件数が多ければ負担になる。

本チケットの対応は下記に記載します

https://redmine.tokyo/issues/1083

Related issues:

Is duplicate of Redmine - Defect #30787: Other recipients are not listed in T... Closed

History

#1 - 2020-05-28 15:44 - Holger Just

- Is duplicate of Defect #30787: Other recipients are not listed in To field even if Setting.bcc_recipients is false added

#2 - 2020-05-28 15:49 - Holger Just

- Status changed from New to Closed

- Resolution set to Duplicate

See #30787 for a discussion of this.

Please note that even before 4.0, we have potentially send multiple mails to subsets of notified recipients based on their permissions. Thus, even

before 4.0 you couldn't reliably find who got a notification based on the To / CC headers of the mail you received alone.

#3 - 2020-06-21 12:54 - Yuuki NARA

Thank you for your comment.

Thus, even before 4.0 you couldn't reliably find who got a notification based on the To / CC headers of the mail you received alone.

 I understand that it was not a completely accurate contact,

but The information had a sufficient level of reliability for simple confirmation.

In my judgment,that feature was lost in Redmine 4.0.

Perhaps the way to use the email notification function is different.
